Query parameters
-
If true, the results are sorted in descending order.
-
Returns influencers with timestamps earlier than this time. The default value means it is unset and results are not limited to specific timestamps.
-
If true, the output excludes interim results. By default, interim results are included.
-
Returns influencers with anomaly scores greater than or equal to this value.
-
Skips the specified number of influencers.
-
Specifies the maximum number of influencers to obtain.
-
Specifies the sort field for the requested influencers. By default, the influencers are sorted by the
influencer_scorevalue. -
Returns influencers with timestamps after this time. The default value means it is unset and results are not limited to specific timestamps.
GET
/_ml/anomaly_detectors/{job_id}/results/influencers
curl \
--request GET 'http://api.example.com/_ml/anomaly_detectors/{job_id}/results/influencers' \
--header "Content-Type: application/json" \
--data '"{\n \"sort\": \"influencer_score\",\n \"desc\": true\n}"'
Request example
An example body for a `GET _ml/anomaly_detectors/high_sum_total_sales/results/influencers` request.
{
"sort": "influencer_score",
"desc": true
}